summaryrefslogtreecommitdiffstats
path: root/system/swun
diff options
context:
space:
mode:
author Benno <fwxx@rocketmail.com>2013-02-18 00:49:57 -0600
committer Robby Workman <rworkman@slackbuilds.org>2013-02-22 22:27:45 -0600
commit56f86e4cfd6ad075fa27f74346ff85260a93960d (patch)
treef34bb4daa4d8a33379f911e8c128ab45f75c5181 /system/swun
parentb674b2dc51b25bc3809f20806af75cb5ec9138f6 (diff)
downloadslackbuilds-56f86e4cfd6ad075fa27f74346ff85260a93960d.tar.gz
slackbuilds-56f86e4cfd6ad075fa27f74346ff85260a93960d.tar.xz
system/swun: Added (SoftWare Update Notifier)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'system/swun')
-rw-r--r--system/swun/README4
-rw-r--r--system/swun/doinst.sh4
-rw-r--r--system/swun/slack-desc19
-rw-r--r--system/swun/swun.SlackBuild99
-rw-r--r--system/swun/swun.info10
5 files changed, 136 insertions, 0 deletions
diff --git a/system/swun/README b/system/swun/README
new file mode 100644
index 0000000000..b01d2f6284
--- /dev/null
+++ b/system/swun/README
@@ -0,0 +1,4 @@
+Swun is a very simple Software Update notifier.
+It places itself as an an icon into the notification area of
+the desktop environment. Swun requires a running slackpkg
+configuration (e.g. running slackpkg update).
diff --git a/system/swun/doinst.sh b/system/swun/doinst.sh
new file mode 100644
index 0000000000..4e8ba7071d
--- /dev/null
+++ b/system/swun/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/system/swun/slack-desc b/system/swun/slack-desc
new file mode 100644
index 0000000000..652f07ccae
--- /dev/null
+++ b/system/swun/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+swun: swun (SoftWare Update Notifier)
+swun:
+swun: Swun is a very simple Update notifier, which places itself as an
+swun: icon into the notification area of the desktop environment.
+swun: It simply checks for changes to the ChangeLog with slackpkg
+swun: (using "check-updates") and changes the icon color accordingly.
+swun: It then offers the choice to run an interactive update via a terminal.
+swun:
+swun: Homepage: http://code.google.com/p/swun/
+swun:
+swun:
diff --git a/system/swun/swun.SlackBuild b/system/swun/swun.SlackBuild
new file mode 100644
index 0000000000..87a82e8189
--- /dev/null
+++ b/system/swun/swun.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+
+# Slackware build script for swun
+# Written by Benno Grolik fwxx@rocketmail.com
+
+# Copyright 2013 Benno Grolik <fwxx@rocketmail.com> Germany
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=swun
+VERSION=${VERSION:-0.0.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README LICENSE.txt ChangeLog $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/swun/swun.info b/system/swun/swun.info
new file mode 100644
index 0000000000..a9bc7e25c5
--- /dev/null
+++ b/system/swun/swun.info
@@ -0,0 +1,10 @@
+PRGNAM="swun"
+VERSION="0.0.2"
+HOMEPAGE="http://code.google.com/p/swun/"
+DOWNLOAD="http://swun.googlecode.com/files/swun-0.0.2.tar.gz"
+MD5SUM="6504943144f54bc47f63e65150fb0ec6"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Benno"
+EMAIL="fwxx@rocketmail.com"